/*
 * SHDOCVW - Internet Explorer Web Control
 *
 * 2001 John R. Sheets (for CodeWeavers)
 *
 * Copyright 2003-2004 TransGaming Technologies
 */

#include <config.h>

#include <string.h>
#include "winreg.h"
#include "winbase.h"
#include "winuser.h"
#include "winnls.h"
#include "ole2.h"
#include "shlwapi.h"

#include "shdocvw.h"

#include "wine/debug.h"

WINE_DEFAULT_DEBUG_CHANNEL(shdocvw);

/***********************************************************************
 *              DllCanUnloadNow (SHDOCVW.@)
 */
HRESULT WINAPI SHDOCVW_DllCanUnloadNow(void)
{
    FIXME("(void): stub\n");

    return S_FALSE;
}

/***********************************************************************
 *              DllGetVersion (SHDOCVW.@)
 */
HRESULT WINAPI SHDOCVW_DllGetVersion (DLLVERSIONINFO *pdvi)
{
    FIXME("(void): stub\n");
    return S_FALSE;
}

/*************************************************************************
 *              DllInstall (SHDOCVW.@)
 */
HRESULT WINAPI SHDOCVW_DllInstall(BOOL bInstall, LPCWSTR cmdline)
{
   FIXME("(%s, %s): stub!\n", bInstall ? "TRUE":"FALSE", debugstr_w(cmdline));

   return S_OK;
}

/***********************************************************************
 *		DllRegisterServer (SHDOCVW.@)
 */
HRESULT WINAPI SHDOCVW_DllRegisterServer()
{
    FIXME("(), stub!\n");
    return S_OK;
}

/***********************************************************************
 *		DllUnregisterServer (SHDOCVW.@)
 */
HRESULT WINAPI SHDOCVW_DllUnregisterServer()
{
    FIXME("(), stub!\n");
    return S_OK;
}

